org.apache.hadoop.mapred.lib

## Class LongSumReducer<K>

- java.lang.Object
- - org.apache.hadoop.mapred.MapReduceBase
  - - org.apache.hadoop.mapred.lib.LongSumReducer<K>

- All Implemented Interfaces:
    Closeable, AutoCloseable, JobConfigurable, Reducer<K,org.apache.hadoop.io.LongWritable,K,org.apache.hadoop.io.LongWritable>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class LongSumReducer<K>
      extends MapReduceBase
      implements Reducer<K,org.apache.hadoop.io.LongWritable,K,org.apache.hadoop.io.LongWritable>

  A `Reducer` that sums long values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongSumReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reduce(K key, Iterator<org.apache.hadoop.io.LongWritable> values, OutputCollector<K,org.apache.hadoop.io.LongWritable> output, Reporter reporter)` Reduces values for a given key.

    - ### Methods inherited from class org.apache.hadoop.mapred.MapReduceBase

      `close, configure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable

      `configure`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### LongSumReducer

          public LongSumReducer()

  - ### Method Detail

    - #### reduce

          public void reduce(K key,
                             Iterator<org.apache.hadoop.io.LongWritable> values,
                             OutputCollector<K,org.apache.hadoop.io.LongWritable> output,
                             Reporter reporter)
                      throws IOException

      Description copied from interface: `Reducer`
      Reduces values for a given key.

      The framework calls this method for each `<key, (list of values)>` pair in the grouped inputs. Output values must be of the same type as input values. Input keys must not be altered. The framework will reuse the key and value objects that are passed into the reduce, therefore the application should clone the objects they want to keep a copy of. In many cases, all values are combined into zero or one value.

      Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

      Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes a significant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapreduce.task.timeout to a high-enough value (or even zero for no time-outs).

      Specified by:
        `reduce` in interface `Reducer<K,org.apache.hadoop.io.LongWritable,K,org.apache.hadoop.io.LongWritable>`
      Parameters:
        `key` - the key.
        `values` - the list of values to reduce.
        `output` - to collect keys and combined values.
        `reporter` - facility to report progress.
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.